﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InvoiceSys
{
    class Program
    {
        static void Main(string[] args)
        {
            DbInvoiceEntities db = new DbInvoiceEntities();

            Person newPerson = new Person();
            newPerson.Name = "Jméno";
            newPerson.Surname = "Příjmení";
            newPerson.Street = "Ulice";
            newPerson.City = "Město";
            newPerson.PSC = 73601;
            newPerson.ICO = 78321456;
            newPerson.DIC = "CZ78321456";
            newPerson.Email = "email@email.cz";

            db.Persons.Add(newPerson);
            db.SaveChanges();

            Console.WriteLine("Persons: ");
            foreach (Person p in db.Persons)
            {
                Console.WriteLine(p.Surname + " " + p.Name + ", city: " + p.City);
            }
            Console.WriteLine(Environment.NewLine);

            Console.WriteLine("Invoices: ");
            foreach (Invoice i in db.Invoices)
            {
                Console.WriteLine("Price: " + i.Price + ", date: " + i.Date);
            }
            Console.WriteLine(Environment.NewLine + "Search Pepa: ");

            Person foundPerson = db.Persons.FirstOrDefault(p => p.Name.Contains("pepa"));
            Console.WriteLine(foundPerson.Surname + " " + foundPerson.Name + ", city: " + foundPerson.City);

            Console.ReadLine();
        }
    }
}
